| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::PendingStringList Class Reference
Utililty classes

The PendingStringList class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string list. More...

`#include <TelepathyQt/PendingStringList>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingStringList (const SharedPtr< RefCounted > &object)
- PendingStringList (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
- ~PendingStringList ()
- QStringList result () const

## Protected Member Functions

- void setResult (const QStringList &result)

## Detailed Description

The PendingStringList class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string list.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingStringList::PendingStringList | ( | const SharedPtr< RefCounted > & | object | ) |

Tp::PendingStringList::PendingStringList | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingStringList::~PendingStringList | ( |  | ) |

Class destructor.

## Member Function Documentation

QStringList Tp::PendingStringList::result | ( |  | ) | const

void Tp::PendingStringList::setResult | ( | const QStringList & | result | ) | `[protected]`